Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 964066 - Regression in kvm between 3.8.11 and 3.9.2
Regression in kvm between 3.8.11 and 3.9.2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 03:55 EDT by Matthias Runge
Modified: 2013-09-23 14:09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 14:09:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/cpuinfo (7.39 KB, text/plain)
2013-05-17 05:35 EDT, Matthias Runge
no flags Details

  None (edit)
Description Matthias Runge 2013-05-17 03:55:30 EDT
Description of problem:
when using kvm on kernel 3.9.2-301.fc19 I get lockups, no output anywhere, a very few minutes after spawning a VM

Hardware is on Intel, x86_64, if that matters. Sadly, I don't have any messages in /var/log/messages, which seem related. I don't use any third party kernel modules at all.

This issue does not occur on 3.8.11-200.fc18
Comment 1 Andrew Jones 2013-05-17 05:13:41 EDT
We need, at least, the output of 'cat /proc/cpuinfo', the qemu command line (ps -efw | grep qemu), and the version of qemu (rpm -qa | grep qemu)
Comment 3 Kashyap Chamarthy 2013-05-17 05:29:53 EDT
Just to note:

(1)I've been testing w/ these Kernel versions on F19 fairly consistently, and I don't see the reported hang.

====
$ uname -r ; rpm -q qemu-kvm libvirt-daemon-kvm libguestfs
3.10.0-0.rc1.git5.1.fc20.x86_64
qemu-kvm-1.4.1-1.fc19.x86_64
libvirt-daemon-kvm-1.0.5-2.fc19.x86_64
libguestfs-1.21.35-1.fc19.x86_64
====

(2) I'm using Nodebug kernels -- http://fedoraproject.org/wiki/RawhideKernelNodebug

(3) A simple script I use to create guests -- https://github.com/kashyapc/nvmx-  haswell/blob/master/tests/scripts/create-regular-guest.bash
Comment 4 Kashyap Chamarthy 2013-05-17 05:32:29 EDT
> (3) A simple script I use to create guests --
> https://github.com/kashyapc/nvmx- 
> haswell/blob/master/tests/scripts/create-regular-guest.bash

Whoop, the above had a broken url, correct one:

    https://github.com/kashyapc/nvmx-haswell/blob/master/tests/scripts/create-regular-guest.bash

Or 
    https://github.com/kashyapc/virt-scripts/blob/master/qcow2-create-generic.bash
Comment 6 Matthias Runge 2013-05-17 05:35:46 EDT
Created attachment 749271 [details]
/proc/cpuinfo
Comment 7 Matthias Runge 2013-05-17 05:38:17 EDT
ps -efw | grep qemu
qemu      2187     1  3 09:41 ?        00:04:23 /usr/bin/qemu-system-x86_64 -machine accel=kvm -name rhel6 -S -machine pc-1.2,accel=kvm,usb=off -m 4096 -smp 4,sockets=4,cores=1,threads=1 -uuid 505d63e4-27c1-0ced-2973-d572958e0d9a -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/rhel6.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive file=/home/mrunge/vm-images/rhel6,if=none,id=drive-virtio-disk0,format=raw -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x6,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -drive file=/home/mrunge/rhel-server-6.3-x86_64-dvd.iso,if=none,id=drive-ide0-1-0,readonly=on,format=raw -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=24,id=hostnet0,vhost=on,vhostfd=25 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:b6:60:86,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing,seamless-migration=on -vga qxl -global qxl-vga.ram_size=67108864 -global qxl-vga.vram_size=67108864 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7

[mrunge@gauss ~]$ rpm -qa | grep qemu
qemu-system-cris-1.4.1-2.fc19.x86_64
qemu-system-microblaze-1.4.1-2.fc19.x86_64
qemu-system-mips-1.4.1-2.fc19.x86_64
qemu-system-unicore32-1.4.1-2.fc19.x86_64
qemu-common-1.4.1-2.fc19.x86_64
qemu-system-lm32-1.4.1-2.fc19.x86_64
qemu-system-ppc-1.4.1-2.fc19.x86_64
qemu-system-s390x-1.4.1-2.fc19.x86_64
ipxe-roms-qemu-20130103-1.git717279a.fc19.noarch
qemu-system-sh4-1.4.1-2.fc19.x86_64
qemu-kvm-1.4.1-2.fc19.x86_64
qemu-system-arm-1.4.1-2.fc19.x86_64
qemu-1.4.1-2.fc19.x86_64
qemu-system-m68k-1.4.1-2.fc19.x86_64
qemu-img-1.4.1-2.fc19.x86_64
qemu-system-or32-1.4.1-2.fc19.x86_64
qemu-kvm-tools-1.4.1-2.fc19.x86_64
qemu-system-sparc-1.4.1-2.fc19.x86_64
libvirt-daemon-qemu-1.0.5-3.fc19.x86_64
qemu-system-xtensa-1.4.1-2.fc19.x86_64
libvirt-daemon-driver-qemu-1.0.5-3.fc19.x86_64
qemu-system-alpha-1.4.1-2.fc19.x86_64
qemu-system-x86-1.4.1-2.fc19.x86_64
qemu-user-1.4.1-2.fc19.x86_64
Comment 8 Matthias Runge 2013-05-17 14:55:44 EDT
kernel-3.10.0-0.rc1.git5.2.fc20.x86_64 
seems unaffected as well.
Comment 9 Fedora End Of Life 2013-09-16 09:57:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 10 Josh Boyer 2013-09-23 14:09:11 EDT
This seems to be fixed in the meantime.  If you're still seeing this, please reopen.

Note You need to log in before you can comment on or make changes to this bug.